Get a content type's schema
get
/contentTypes/{contentTypeId}/contentSchema
Returns the list of content schema attributes for a content type.
Request
Path Parameters
-
contentTypeId(required): string
The unique identifier of the ContentType object.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
OK
Root Schema : ResultListBOSchemaAttributeBO
Type:
Show Source
object-
count: integer
(int32)
-
hasMore(required): boolean
Title:
Has MoreDefault Value:falseBoolean indicating whether or not the collection contains more items than were returned in this request. Defaults to false. -
items(required): array
Items
Title:
ItemsThe collection of of the requested resources meeting your criteria. -
limit(required): integer
(int32)
Title:
LimitThe number of items this result is limited to. Used in conjunction with offset for pagination. -
links: array
Links
Title:
LinksREST API canonical and/or collection links for this Singular Resource -
offset(required): integer
(int32)
Title:
OffsetThe item index at which this resultset starts. Used in conjunction with limit for pagination. -
totalResults: integer
(int64)
Title:
Total ResultsThe number of available items that meet the criteria used. This attribute must be explicitly requested by adding totalResults=true to the querystring.
Nested Schema : Items
Type:
arrayTitle:
ItemsThe collection of of the requested resources meeting your criteria.
Show Source
-
Array of:
object SchemaAttributeBO
Documentation for BO mode: SchemaAttributeBO
Nested Schema : Links
Type:
arrayTitle:
LinksREST API canonical and/or collection links for this Singular Resource
Show Source
Nested Schema : SchemaAttributeBO
Type:
objectDocumentation for BO mode: SchemaAttributeBO
Show Source
-
aiMetadata: object
SchemaAttributeAIMetadataBO
-
allowMultipleNodes: boolean
Title:
Allow Multiple NodesFlag indicating if multiple nodes are allowed of this type -
allowPreselectedUserGroupChange: boolean
Title:
Allow Preselected User Group ChangeEnable editors to modify preselected user group restrictions -
children: array
Children
Title:
ChildrenList of child nodes of the current element -
counter: integer
(int32)
Title:
CounterThis attribute contains the current value of the ContentType DOC ID counter. This value should not be changed after content is added to the ContentType -
counterPrefix: string
Title:
Counter PrefixMaximum Length:50This attribute contains the prefix that is appended to the front of the DOC ID counter -
dateAdded: string
(date)
Title:
Date AddedRead Only:trueThe date and time when this SchemaAttribute definition was first createdExample:2022-03-10 -
dateModified: string
(date)
Title:
Date ModifiedRead Only:trueThe date and time when this SchemaAttribute definition was last modifiedExample:2022-03-10 -
description: string
Title:
DescriptionMaximum Length:1000Localized help text for the attribute. This text is displayed in the authoring view -
enableAttributeLevelSearch: boolean
Title:
Enable Attribute Level SearchFlag indicating whether this field should be configured for attribute level searching - i.e. where TITLE='xyz'. This fieldwas previously called searchable -
enableFullTextSearch: boolean
Title:
Enable Full Text SearchFlag indicating whether this field should be included in the full text index. This field was previouslycalled indexable -
fndDisplayType: object
FND Display Type
Title:
FND Display TypeDisplay type selection for FND backed list attributes. User selects how the list should be displayed (e.g. drop down, checkbox, radio button, multi-select browser) -
fndLookupType: string
Title:
FND Lookup TypeMaximum Length:30FND lookup type identifier for list attributes backed by FND LOVs (e.g. PJT_TASK_CONSTRAINT_TYPE) -
includeInMasterIdentifier: boolean
Title:
Include In Master IdentifierFlag indicating whether this field should be appended to the master identifier of the document -
isNode: boolean
Title:
Is NodeFlag indicating if this element is a node -
isRequired: boolean
Title:
Is RequiredMake attribute a required field -
links: array
Links
Title:
LinksREST API canonical and/or collection links for this Singular Resource -
localizedAttributes: array
Localized Attributes
Title:
Localized AttributesList of LocalizedAttributes of this SchemaAttribute name and description in various Locales -
name(required): string
Title:
NameMinimum Length:1Maximum Length:255Localized name of the attribute. This need NOT be unique within the Schema. -
readOnly: boolean
Title:
Read OnlyFlag indicating whether this field is editable -
recordId: string
Title:
Record IdRead Only:trueUnique identifier for the SchemaAttribute object -
referenceKey(required): string
Title:
Reference KeyMinimum Length:1Maximum Length:100Non localized name of the attribute.SchemaAttribute's referenceKey need NOT be unique within its Schema.But its xpath will be unique within its Schema. -
requireWorkflowApproval: boolean
Title:
Require Workflow ApprovalAttribute requires workflow approval if workflow is enabled -
schemaAttributeUserGroupList: array
Schema Attribute User Group List
Title:
Schema Attribute User Group ListList of user groups that can be used to secure this attribute. This should be a subset of the list of user groups assigned to the ContentType -
schemaAttrType: object
Schema Attr Type
Title:
Schema Attr TypeEnumerated type representing the type of attribute - i.e. text field, rich text area -
securedFileResource: boolean
Title:
Secured File ResourceFlag indicating if this attribute (file types only) should be marked as secure - i.e. stored in the ~secure folder near the content XML file -
secureWithUserGroups: boolean
Title:
Secure With User GroupsRestrict attribute to selected user groups -
securityRegex: string
Title:
Security RegexMaximum Length:100The regular expression used to validate the field against security attacks. -
sortOrder: integer
(int32)
Title:
Sort OrderDisplay order of the schema attributes within the edit form -
textHeight: string
Title:
Text HeightMaximum Length:10Specifies the text height for text areas and rich text fields -
textWidth: string
Title:
Text WidthMaximum Length:10Specifies the max length for text fields -
userGroupSelectionRequired: boolean
Title:
User Group Selection RequiredUser groups are required for attribute -
wysiwygType: object
Wysiwyg Type
Title:
Wysiwyg TypeType of WYSIWYG rich text field - i.e. FULL, BASIC, MEDIUM -
xpath: string
Title:
XpathMaximum Length:2000The XPATH of this attribute within the schema. This is unique within the Schema.
Nested Schema : Children
Type:
arrayTitle:
ChildrenList of child nodes of the current element
Show Source
-
Array of:
object SchemaAttributeBO
Documentation for BO mode: SchemaAttributeBO
Nested Schema : FND Display Type
Type:
objectTitle:
FND Display TypeDisplay type selection for FND backed list attributes. User selects how the list should be displayed (e.g. drop down, checkbox, radio button, multi-select browser)
Allowed Values:
[
"LIST_DROP_DOWN",
"LIST_CHECK_BOX",
"LIST_MULTISELECT_BROWSER",
"LIST_RADIO_BUTTON"
]Nested Schema : Links
Type:
arrayTitle:
LinksREST API canonical and/or collection links for this Singular Resource
Show Source
Nested Schema : Localized Attributes
Type:
arrayTitle:
Localized AttributesList of LocalizedAttributes of this SchemaAttribute name and description in various Locales
Show Source
Nested Schema : Schema Attribute User Group List
Type:
arrayTitle:
Schema Attribute User Group ListList of user groups that can be used to secure this attribute. This should be a subset of the list of user groups assigned to the ContentType
Show Source
Nested Schema : Schema Attr Type
Type:
objectTitle:
Schema Attr TypeEnumerated type representing the type of attribute - i.e. text field, rich text area
Allowed Values:
[
"TEXT_AREA",
"WYSIWYG_EDIT",
"TEXT_FIELD",
"FILE",
"BOOLEAN",
"LIST",
"COUNTER",
"DATE",
"DATETIME",
"TIME",
"INTEGER",
"FLOAT"
]Nested Schema : Wysiwyg Type
Type:
objectTitle:
Wysiwyg TypeType of WYSIWYG rich text field - i.e. FULL, BASIC, MEDIUM
Allowed Values:
[
"BASIC",
"MEDIUM",
"FULL"
]Nested Schema : LocalizedAttributesBO
Type:
Show Source
object-
description: string
Title:
DescriptionMaximum Length:1000Localized description in the above Locale -
localeId(required): string
Title:
Locale IdRead Only:trueRecordId of the Locale - generally this is the localeCode (like en_US) and NOT a real GUID. -
name(required): string
Title:
NameMinimum Length:1Maximum Length:255Localized Name in the above Locale
Nested Schema : SchemaAttributeUserGroupBO
Type:
Show Source
object-
defaultValue: boolean
-
recordId: string
-
userGroup: object
UserGroupKeyBO
Documentation for BO mode: UserGroupKeyBO
Nested Schema : UserGroupKeyBO
Type:
objectDocumentation for BO mode: UserGroupKeyBO
Show Source
-
businessUnits: array
Business Units
Title:
Business UnitsThe business units assigned to the user group. -
family: string
Title:
FamilyRead Only:trueThe Fusion family that this user group type belongs to -
links: array
Links
Title:
LinksRead Only:trueThe collection links related to this resource -
name: string
Title:
NameRead Only:trueMaximum Length:255The localized name of the user group. The name field can only be used for sorting. -
namespaceFromStripe: string
-
product: string
Title:
ProductRead Only:trueThe Fusion product that this user group type belongs to -
recordId: string
Title:
Record IdThe unique identifier from the TAG table that represent a userGroups resource -
referenceKey: string
Title:
Reference KeyMaximum Length:255The non localized name of the user group -
stripeCd: string
Title:
Stripe CDRead Only:trueMaximum Length:100Stripe for UserGroup
Nested Schema : Business Units
Type:
arrayTitle:
Business UnitsThe business units assigned to the user group.
Show Source
-
Array of:
object BusinessUnitKeyBO
BusinessUnitKeyBO has BusinessUnit OrgId.
Nested Schema : Links
Type:
arrayTitle:
LinksRead Only:
trueThe collection links related to this resource
Show Source
Nested Schema : BusinessUnitKeyBO
Type:
objectBusinessUnitKeyBO has BusinessUnit OrgId.
Show Source
-
businessUnitOrgId: integer
(int64)
Title:
Business Unit OrgIdThe business unit OrgId of this business unit.